Das Original eines öffentlichen Dokuments
GET
/v1/aps/{slug}/documents/{uid}
const url = 'https://api.vimine.network/v1/aps/example/documents/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vimine.network/v1/aps/example/documents/exampleAntwortet mit 302 auf einen fünfzehn Minuten gültigen Link zum Original (PDF, JPEG oder PNG). Die Stufe wird bei jedem Aufruf geprüft: Ein Dokument, das der Verein zurückgezogen hat, antwortet von diesem Moment an mit 404. Nie zwischengespeichert.
Parameter
Abschnitt betitelt „Parameter“Pfadparameter
Abschnitt betitelt „Pfadparameter“slug
erforderlich
string
uid
erforderlich
string
Antworten
Abschnitt betitelt „Antworten“Weiterleitung zum Original — ein fünfzehn Minuten gültiger Link
Ungültige Anfrage
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Unbekannter Verein oder unbekanntes Dokument, oder ein Dokument, das nicht öffentlich ist
Ratenlimit überschritten
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Interner Fehler
Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}